### Constructor

# RB EntryView new

#### Declaration [src]

    RBEntryView*
    rb_entry_view_new (
      RhythmDB* db,
      GObject* shell_player,
      gboolean is_drag_source,
      gboolean is_drag_dest
    )

#### Description [src]

Creates a new entry view. If it makes sense to allow the user to drag entries from this entry view to other sources, `is_drag_source` should be TRUE. If it makes sense to allow the user to drag entries from other sources to this view, `is_drag_dest` should be TRUE. Drag and drop in this sense is used for two purposes: to transfer tracks between the filesystem and removable devices, and to add tracks to playlists.

#### Parameters

`db`

  Type: `RhythmDB`

  The `RhythmDB` instance.

  The data is owned by the caller of the function.

`shell_player`

  Type: `GObject`

  The `RBShellPlayer` instance.

  The data is owned by the caller of the function.

`is_drag_source`

  Type: `gboolean`

  If TRUE, the view should act as a drag and drop data source.

`is_drag_dest`

  Type: `gboolean`

  If TRUE, the view should act as a drag and drop destination.

#### Return value

Type: `RBEntryView`

The new entry view.

The data is owned by the called function.